from .xgm import (
    load_xgm, cleanXGMdata, matchXgmTimPulseId)
from .tim import (
    load_TIM,)
from .dssc_data import (
    save_xarray, load_xarray, get_data_formatted, save_attributes_h5)
from .dssc_misc import (
    load_dssc_info, create_dssc_bins, quickmask_DSSC_ASIC,
    get_xgm_formatted, load_mask)
from .dssc_processing import (
    process_dssc_data)
from .dssc import (
    DSSCBinner, DSSCFormatter, DSSCAnalyzer)
from .azimuthal_integrator import AzimuthalIntegrator

__all__ = (
    # Functions
    "load_xgm",
    "cleanXGMdata",
    "load_TIM",
    "matchXgmTimPulseId",
    "load_dssc_info",
    "create_dssc_bins",
    "calc_xgm_frame_indices",
    "get_xgm_formatted",
    "process_dssc_data",
    "save_xarray",
    "load_xarray",
    "get_data_formatted",
    "save_attributes_h5",
    "quickmask_DSSC_ASIC",
    "load_mask",
    # Classes
    "DSSCBinner",
    "DSSCFormatter",
    "DSSCAnalyzer",
    "AzimuthalIntegrator",
    # Variables
)


# -----------------------------------------------------------------------------
# Clean namespace
#     -> certain filenames we dont need in the namespace. Especially not those
#     that are marked as private by using an underscore (_<filename>.py).
# -----------------------------------------------------------------------------

clean_ns = [
    # filenames
    'DSSC_bkp',
    'DSSC1module',
    'dssc',
    'dssc_routines',
    'dssc_processing',
    'dssc_data',
    'dssc_misc',
    'dssc_plot',
    'azimuthal_integrator',
    'FastCCD',
    'tim',
    'xgm',
    ]


for name in dir():
    if name in clean_ns:
        del globals()[name]

del globals()['clean_ns']
del globals()['name']
